Liblinphone: linphone::PushNotificationMessage Class Reference

Liblinphone 5.3.0

Public Member Functions | List of all members
linphone::PushNotificationMessage Class Reference

Object holding chat message data received by a push notification on iOS platform only. More...

`#include <push_notification_message.hh>`

Inheritance diagram for linphone::PushNotificationMessage:

## Public Member Functions
LINPHONECXX_PUBLIC | PushNotificationMessage (void *ptr, bool takeRef=true)
LINPHONECXX_PUBLIC _LinphonePushNotificationMessage * | cPtr ()
LINPHONECXX_PUBLIC bool | isConferenceInvitationCancellation () const
| Tells whether or not this message contains a conference invitation cancellation.
LINPHONECXX_PUBLIC bool | isConferenceInvitationNew () const
| Tells whether or not this message contains a new conference invitation.
LINPHONECXX_PUBLIC bool | isConferenceInvitationUpdate () const
| Tells whether or not this message contains a conference invitation update.
LINPHONECXX_PUBLIC bool | isIcalendar () const
| Tells whether or not this message contains an icalendar by checking it's content type.
LINPHONECXX_PUBLIC std::string | getReactionContent () const
| Gets the reaction content.

## Detailed Description

Object holding chat message data received by a push notification on iOS platform only.

This object is a subset of ChatMessage, so only a few methods of it's parent are available, like linphone_push_notification_message_get_text_content and linphone_push_notification_message_get_subject, just enough to be able to build a notification to show the user.

## Member Function Documentation

## ◆ getReactionContent()

LINPHONECXX_PUBLIC std::string linphone::PushNotificationMessage::getReactionContent | ( |  | ) | const

Gets the reaction content.

Returns
  The reaction content or nullptr.

## ◆ isConferenceInvitationCancellation()

LINPHONECXX_PUBLIC bool linphone::PushNotificationMessage::isConferenceInvitationCancellation | ( |  | ) | const

Tells whether or not this message contains a conference invitation cancellation.

Returns
  true if this message carries a conference invitation cancellation, false otherwise.

## ◆ isConferenceInvitationNew()

LINPHONECXX_PUBLIC bool linphone::PushNotificationMessage::isConferenceInvitationNew | ( |  | ) | const

Tells whether or not this message contains a new conference invitation.

Returns
  true if this message carries a new conference invitation, false otherwise.

## ◆ isConferenceInvitationUpdate()

LINPHONECXX_PUBLIC bool linphone::PushNotificationMessage::isConferenceInvitationUpdate | ( |  | ) | const

Tells whether or not this message contains a conference invitation update.

Returns
  true if this message carries a conference invitation update, false otherwise.

## ◆ isIcalendar()

LINPHONECXX_PUBLIC bool linphone::PushNotificationMessage::isIcalendar | ( |  | ) | const

Tells whether or not this message contains an icalendar by checking it's content type.

Returns
  true if this content type is 'text/calendar;conference-event=yes', false otherwise.

The documentation for this class was generated from the following file:

- push_notification_message.hh